.location-popup {
  --dialog-bg-color: var(--popup-bg-color);
  --error-message-color: var(--error-color);

  max-width: 90%;
  max-height: 90%;
  margin: auto;
  background-color: var(--dialog-bg-color);
  border: var(--border-primary);

  &::backdrop {
    background-color: var(--backdrop-bg-color);
  }

  @supports (transition-behavior: allow-discrete) {
    transition: opacity 0.3s, transform 0.3s;
    transition-behavior: allow-discrete;
    opacity: 0;
    transform: scale(0);
  }

  &[open] {
    @supports (transition-behavior: allow-discrete) {
      opacity: 1;
      transform: scale(1);

      @starting-style {
        opacity: 0;
        transform: scale(0);
      }
    }
  }
}

body:has(.location-popup[open]) {
  overflow: hidden;
}

.location-popup-form {
  padding: 2rem;
  display: flex;
  flex-direction: column;
  row-gap: 1.5rem;
}

.location-popup-title-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  column-gap: 1rem;
}

.location-popup-close-button:after {
  display: block;
  mask-image: url('../../assets/icons/close.svg');
}

.location-popup-fulfillment-type-container {
  border-bottom: var(--border-secondary);
  padding-bottom: 2rem;
}

.location-popup-fulfillment-type-fieldset {
  display: grid;
  grid-template-columns: 1fr 1fr;
  padding: 0.25rem;
  border-radius: 1rem;
  border: var(--border-secondary);
}

.location-popup-fulfillment-type-label.button {
  width: 100%;
  cursor: pointer;
  border-radius: 1rem;
  text-transform: none;
  padding: 0.5rem;

  &:nth-of-type(2) {
    border-left: none;
  }

  &[for="fulfillment-type-pickup"]:before {
    mask-image: url("../../assets/icons/pickup.svg");
    display: block;
  }

  &[for="fulfillment-type-shipping"]:before {
    mask-image: url("../../assets/icons/bicycle.svg");
    display: block;
  }
}

.location-popup-fulfillment-type-input:checked + .location-popup-fulfillment-type-label {
  background-color: var(--primary-button-bg-color);
  color: var(--primary-button-text-color);
}

.location-popup-fulfillment-type-input:focus-visible + .location-popup-fulfillment-type-label {
  outline: 2px solid var(--black-100);
  outline-offset: 5px;
}

.location-popup-postal-code-label {
  display: flex;
  flex-direction: column;
  row-gap: 0.5rem;
}

.location-popup-postal-code-input {
  padding: 0.5rem;
  border: var(--border-secondary);
}

.location-popup-error-message {
  color: var(--error-message-color);
  min-width: 100%;
  width: min-content;

  &.hidden {
    display: none;
  }
}

.location-popup-pickup-address {
  display: none;
}

.location-popup:has(.location-popup-fulfillment-type-input[value="pickup"]:checked) .location-popup-pickup-address {
  display: block;
}

.location-popup:has(.location-popup-fulfillment-type-input[value="pickup"]:checked) :is(.location-popup-postal-code-container, .location-popup-error-message) {
  display: none;
}

.location-popup-submit-button {
  width: 100%;
}

.location-popup-form[aria-busy="true"] .location-popup-submit-button {
  pointer-events: none;
  opacity: 0.7;

  &:after {
    display: block;
    mask-image: url('../../assets/icons/loader.svg');
    animation: spin 1s linear infinite;
  }
}

.location-popup-form[aria-busy="true"] .location-popup-submit-button span {
  display: none;
}